# All files / src/node-transformers/node-obfuscators/replacers NumberLiteralReplacer.ts

100% Statements 12/12
100% Branches 2/2
100% Functions 1/1
100% Lines 9/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    321x
    1x

    1x
    1x

    1x

    1778x

    13274x
    1012x

    12262x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../../container/ServiceIdentifiers';

    import { IOptions } from '../../../interfaces/options/IOptions';

    import { AbstractReplacer } from './AbstractReplacer';
    import { Utils } from '../../../utils/Utils';

    @injectable()
    export class NumberLiteralReplacer extends AbstractReplacer {
        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            super(options);
        }

        /**
         * @param nodeValue
         * @returns {string}
         */
        public replace (nodeValue: number): string {
            if (!Utils.isCeilNumber(nodeValue)) {
                return String(nodeValue);
            }

            return `${Utils.hexadecimalPrefix}${Utils.decToHex(nodeValue)}`;
        }
    }